Project

General

Profile

Bug #17028

On the latest OpenSSL adaptation

Added by jack9603301 (春晖 欧阳) 22 days ago. Updated 8 days ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
[ruby-core:99149]

Description

I just compiled ruby, but it failed to compile under OpenSSL 1.1.1d. Due to changes in ABI and detection macro, there were various errors. I even modified the following file to complete the compilation:

  1. Note the full code of openssl_missing.h and openssl_missing.c

  2. Modify some special macro detection of annotation ossl_pkey_ec.c file according to error prompt

  3. Modify the call to OpenSSL initialization

But this is only to complete the compilation locally. Please adapt as soon as possible.

#1

Updated by jack9603301 (春晖 欧阳) 22 days ago

  • Description updated (diff)
#2

Updated by jack9603301 (春晖 欧阳) 22 days ago

  • Description updated (diff)

Updated by hsbt (Hiroshi SHIBATA) 22 days ago

  • Status changed from Open to Feedback

Can you file its details to http://github.com/ruby/openssl?

Updated by nobu (Nobuyoshi Nakada) 21 days ago

OpenSSL 1.1.1d is out-of-date a little.
With which version of ruby did you build it?

#5

Updated by jeremyevans0 (Jeremy Evans) 8 days ago

  • Status changed from Feedback to Closed

Also available in: Atom PDF